GET /api/v3/placeBenchmark/setting

Get all the place benchmark names and categories for the owner

GetPlaceBenchmarkSettingsV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BenchmarkSettingsResponse
Property Description Type
benchmark1 BenchmarkWithUsedCountResponse
BenchmarkWithUsedCountResponse properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
usedCount Number of times benchmark is used integer (int32)
benchmark2 BenchmarkWithUsedCountResponse
BenchmarkWithUsedCountResponse properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
usedCount Number of times benchmark is used integer (int32)
benchmark3 BenchmarkWithUsedCountResponse
BenchmarkWithUsedCountResponse properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
usedCount Number of times benchmark is used integer (int32)
Example Response application/json
{  "benchmark1": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "usedCount": 1
  },  "benchmark2": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "usedCount": 1
  },  "benchmark3": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "usedCount": 1
  }
}